#' Simulation data for Genetic association models for X-chromosome SNPS
#'
#' A simulated dataset containing 504 observations. The variables list as follows:
#'
#' \itemize{
#'   \item Id  Identification number.
#'   \item Gender 1 for male, 0 for female. 
#'   \item Age Age variable.
#'   \item OS Survival indicator, 1 for death, 0 for censoring.
#'   \item survmonth Duration time of survival.
#'   \item Treatment Treatment variable.
#'   \item Basic_group Basic group variable having the most number of stages.
#'   \item Scheme.1 Grouping scheme 1.
#'   \item Scheme.2 Grouping scheme 2.
#'   \item Scheme.3 Grouping scheme 3.
#' }
#'
#' @docType data
#' @keywords datasets
#' @name Rdata
#' @usage data(Rdata)
#' @format A data frame with 504 rows and 10 variables.
NULL
